Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0
Class ComboPooledDataSource

    java.lang.Object
      com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
          com.mchange.v2.c3p0.impl.IdentityTokenResolvable
              com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase
                  com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource
                      com.mchange.v2.c3p0.ComboPooledDataSource

All Implemented Interfaces:
  IdentityTokenized, PooledDataSource, java.io.Serializable, javax.naming.Referenceable, javax.sql.DataSource

    public final class ComboPooledDataSource

extends AbstractPoolBackedDataSource
implements PooledDataSource, java.io.Serializable, javax.naming.Referenceable

For the meaning of most of these properties, please see c3p0's top-level documentation!

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase
`pcs, vcs`

Constructor Summary
`ComboPooledDataSource()`
`ComboPooledDataSource(boolean autoregister)`
`ComboPooledDataSource(java.lang.String configName)`

Method Summary
`int` | `getAcquireIncrement()`
`int` | `getAcquireRetryAttempts()`
`int` | `getAcquireRetryDelay()`
`java.lang.String` | `getAutomaticTestTable()`
`int` | `getCheckoutTimeout()`
`java.lang.String` | `getConnectionCustomizerClassName()`
`java.lang.String` | `getConnectionTesterClassName()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDriverClass()`
`java.lang.String` | `getFactoryClassLocation()`
`int` | `getIdleConnectionTestPeriod()`
`int` | `getInitialPoolSize()`
`java.lang.String` | `getJdbcUrl()`
`int` | `getMaxAdministrativeTaskTime()`
`int` | `getMaxConnectionAge()`
`int` | `getMaxIdleTime()`
`int` | `getMaxIdleTimeExcessConnections()`
`int` | `getMaxPoolSize()`
`int` | `getMaxStatements()`
`int` | `getMaxStatementsPerConnection()`
`int` | `getMinPoolSize()`
`java.lang.String` | `getOverrideDefaultPassword()`
`java.lang.String` | `getOverrideDefaultUser()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPreferredTestQuery()`
`java.util.Properties` | `getProperties()`
`int` | `getPropertyCycle()`
`int` | `getStatementCacheNumDeferredCloseThreads()`
`int` | `getUnreturnedConnectionTimeout()`
`java.lang.String` | `getUser()`
`java.util.Map` | `getUserOverrides()`
`java.lang.String` | `getUserOverridesAsString()`
`boolean` | `isAutoCommitOnClose()`
`boolean` | `isBreakAfterAcquireFailure()`
`boolean` | `isDebugUnreturnedConnectionStackTraces()`
`boolean` | `isForceIgnoreUnresolvedTransactions()`
`boolean` | `isTestConnectionOnCheckin()`
`boolean` | `isTestConnectionOnCheckout()`
`boolean` | `isUsesTraditionalReflectiveProxies()`
`void` | `setAcquireIncrement(int acquireIncrement)`
`void` | `setAcquireRetryAttempts(int acquireRetryAttempts)`
`void` | `setAcquireRetryDelay(int acquireRetryDelay)`
`void` | `setAutoCommitOnClose(boolean autoCommitOnClose)`
`void` | `setAutomaticTestTable(java.lang.String automaticTestTable)`
`void` | `setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)`
`void` | `setCheckoutTimeout(int checkoutTimeout)`
`void` | `setConnectionCustomizerClassName(java.lang.String connectionCustomizerClassName)`
`void` | `setConnectionTesterClassName(java.lang.String connectionTesterClassName)`
`void` | `setDebugUnreturnedConnectionStackTraces(boolean debugUnreturnedConnectionStackTraces)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDriverClass(java.lang.String driverClass)`
`void` | `setFactoryClassLocation(java.lang.String factoryClassLocation)`
`void` | `setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)`
`void` | `setIdleConnectionTestPeriod(int idleConnectionTestPeriod)`
`void` | `setInitialPoolSize(int initialPoolSize)`
`void` | `setJdbcUrl(java.lang.String jdbcUrl)`
`void` | `setMaxAdministrativeTaskTime(int maxAdministrativeTaskTime)`
`void` | `setMaxConnectionAge(int maxConnectionAge)`
`void` | `setMaxIdleTime(int maxIdleTime)`
`void` | `setMaxIdleTimeExcessConnections(int maxIdleTimeExcessConnections)`
`void` | `setMaxPoolSize(int maxPoolSize)`
`void` | `setMaxStatements(int maxStatements)`
`void` | `setMaxStatementsPerConnection(int maxStatementsPerConnection)`
`void` | `setMinPoolSize(int minPoolSize)`
`void` | `setOverrideDefaultPassword(java.lang.String overrideDefaultPassword)`
`void` | `setOverrideDefaultUser(java.lang.String overrideDefaultUser)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPreferredTestQuery(java.lang.String preferredTestQuery)`
`void` | `setProperties(java.util.Properties properties)`
`void` | `setPropertyCycle(int propertyCycle)`
`void` | `setStatementCacheNumDeferredCloseThreads(int statementCacheNumDeferredCloseThreads)`
`void` | `setTestConnectionOnCheckin(boolean testConnectionOnCheckin)`
`void` | `setTestConnectionOnCheckout(boolean testConnectionOnCheckout)`
`void` | `setUnreturnedConnectionTimeout(int unreturnedConnectionTimeout)`
`void` | `setUser(java.lang.String user)`
`void` | `setUserOverridesAsString(java.lang.String uoas)`
`void` | `setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)`
`java.lang.String` | `toString()`

Methods inherited from class com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource
`close, close, getAllUsers, getConnection, getConnection, getDataSourceName, getEffectivePropertyCycle, getEffectivePropertyCycleDefaultUser, getLastAcquisitionFailure, getLastAcquisitionFailureDefaultUser, getLastCheckinFailure, getLastCheckinFailureDefaultUser, getLastCheckoutFailure, getLastCheckoutFailureDefaultUser, getLastConnectionTestFailure, getLastConnectionTestFailureDefaultUser, getLastIdleTestFailure, getLastIdleTestFailureDefaultUser, getLoginTimeout, getLogWriter, getNumBusyConnections, getNumBusyConnections, getNumBusyConnectionsAllUsers, getNumBusyConnectionsDefaultUser, getNumConnections, getNumConnections, getNumConnectionsAllUsers, getNumConnectionsDefaultUser, getNumFailedCheckins, getNumFailedCheckinsDefaultUser, getNumFailedCheckouts, getNumFailedCheckoutsDefaultUser, getNumFailedIdleTests, getNumFailedIdleTestsDefaultUser, getNumIdleConnections, getNumIdleConnections, getNumIdleConnectionsAllUsers, getNumIdleConnectionsDefaultUser, getNumThreadsAwaitingCheckout, getNumThreadsAwaitingCheckoutDefaultUser, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnectionsAllUsers, getNumUnclosedOrphanedConnectionsDefaultUser, getNumUserPools, getStartTimeMillis, getStartTimeMillisDefaultUser, getStatementCacheNumCheckedOut, getStatementCacheNumCheckedOutDefaultUser, getStatementCacheNumCheckedOutStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatements, getStatementCacheNumConnectionsWithCachedStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatementsDefaultUser, getStatementCacheNumStatements, getStatementCacheNumStatementsAllUsers, getStatementCacheNumStatementsDefaultUser, getStatementDestroyerNumActiveThreads, getStatementDestroyerNumConnectionsInUse, getStatementDestroyerNumConnectionsInUseAllUsers, getStatementDestroyerNumConnectionsInUseDefaultUser, getStatementDestroyerNumConnectionsWithDeferredDestroyStatements, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsAllUsers, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumDeferredDestroyStatements, getStatementDestroyerNumDeferredDestroyStatementsAllUsers, getStatementDestroyerNumDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumIdleThreads, getStatementDestroyerNumTasksPending, getStatementDestroyerNumThreads, getThreadPoolNumActiveThreads, getThreadPoolNumIdleThreads, getThreadPoolNumTasksPending, getThreadPoolSize, getUpTimeMillis, getUpTimeMillisDefaultUser, hardReset, initializeNamedConfig, resetPoolManager, resetPoolManager, sampleLastAcquisitionFailureStackTrace, sampleLastAcquisitionFailureStackTraceDefaultUser, sampleLastCheckinFailureStackTrace, sampleLastCheckinFailureStackTraceDefaultUser, sampleLastCheckoutFailureStackTrace, sampleLastCheckoutFailureStackTraceDefaultUser, sampleLastConnectionTestFailureStackTrace, sampleLastConnectionTestFailureStackTraceDefaultUser, sampleLastIdleTestFailureStackTrace, sampleLastIdleTestFailureStackTraceDefaultUser, sampleStatementCacheStatus, sampleStatementCacheStatusDefaultUser, sampleStatementDestroyerStackTraces, sampleStatementDestroyerStatus, sampleThreadPoolStackTraces, sampleThreadPoolStatus, setLoginTimeout, setLogWriter, softReset, softResetAllUsers, softResetDefaultUser`

Methods inherited from class com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase
`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, extraToStringInfo, getConnectionPoolDataSource, getIdentityToken, getNumHelperThreads, getPropertyChangeListeners, getPropertyChangeSupport, getReference, getVetoableChangeListeners, getVetoableChangeSupport, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, setConnectionPoolDataSource, setDataSourceName, setIdentityToken, setNumHelperThreads`

Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable
`doResolve, readResolve, verifyResolve`

Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.mchange.v2.c3p0.PooledDataSource
`close, close, getAllUsers, getDataSourceName, getEffectivePropertyCycle, getEffectivePropertyCycleDefaultUser, getIdentityToken, getLastAcquisitionFailure, getLastAcquisitionFailureDefaultUser, getLastCheckinFailure, getLastCheckinFailureDefaultUser, getLastCheckoutFailure, getLastCheckoutFailureDefaultUser, getLastConnectionTestFailure, getLastConnectionTestFailureDefaultUser, getLastIdleTestFailure, getLastIdleTestFailureDefaultUser, getNumBusyConnections, getNumBusyConnections, getNumBusyConnectionsAllUsers, getNumBusyConnectionsDefaultUser, getNumConnections, getNumConnections, getNumConnectionsAllUsers, getNumConnectionsDefaultUser, getNumFailedCheckinsDefaultUser, getNumFailedCheckoutsDefaultUser, getNumFailedIdleTestsDefaultUser, getNumHelperThreads, getNumIdleConnections, getNumIdleConnections, getNumIdleConnectionsAllUsers, getNumIdleConnectionsDefaultUser, getNumThreadsAwaitingCheckout, getNumThreadsAwaitingCheckoutDefaultUser, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnectionsAllUsers, getNumUnclosedOrphanedConnectionsDefaultUser, getNumUserPools, getStartTimeMillisDefaultUser, getStatementCacheNumCheckedOut, getStatementCacheNumCheckedOutDefaultUser, getStatementCacheNumCheckedOutStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatements, getStatementCacheNumConnectionsWithCachedStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatementsDefaultUser, getStatementCacheNumStatements, getStatementCacheNumStatementsAllUsers, getStatementCacheNumStatementsDefaultUser, getStatementDestroyerNumActiveThreads, getStatementDestroyerNumConnectionsInUse, getStatementDestroyerNumConnectionsInUseAllUsers, getStatementDestroyerNumConnectionsInUseDefaultUser, getStatementDestroyerNumConnectionsWithDeferredDestroyStatements, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsAllUsers, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumDeferredDestroyStatements, getStatementDestroyerNumDeferredDestroyStatementsAllUsers, getStatementDestroyerNumDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumIdleThreads, getStatementDestroyerNumTasksPending, getStatementDestroyerNumThreads, getThreadPoolNumActiveThreads, getThreadPoolNumIdleThreads, getThreadPoolNumTasksPending, getThreadPoolSize, getUpTimeMillisDefaultUser, hardReset, sampleLastAcquisitionFailureStackTrace, sampleLastAcquisitionFailureStackTraceDefaultUser, sampleLastCheckinFailureStackTrace, sampleLastCheckinFailureStackTraceDefaultUser, sampleLastCheckoutFailureStackTrace, sampleLastCheckoutFailureStackTraceDefaultUser, sampleLastConnectionTestFailureStackTrace, sampleLastConnectionTestFailureStackTraceDefaultUser, sampleLastIdleTestFailureStackTrace, sampleLastIdleTestFailureStackTraceDefaultUser, sampleStatementCacheStatus, sampleStatementCacheStatusDefaultUser, sampleStatementDestroyerStackTraces, sampleStatementDestroyerStatus, sampleThreadPoolStackTraces, sampleThreadPoolStatus, setDataSourceName, softReset, softResetAllUsers, softResetDefaultUser`

Methods inherited from interface javax.sql.DataSource
`getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Constructor Detail

### ComboPooledDataSource

    public ComboPooledDataSource()

### ComboPooledDataSource

    public ComboPooledDataSource(boolean autoregister)

### ComboPooledDataSource

    public ComboPooledDataSource(java.lang.String configName)

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getDriverClass

    public java.lang.String getDriverClass()

### setDriverClass

    public void setDriverClass(java.lang.String driverClass)
                        throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### getJdbcUrl

    public java.lang.String getJdbcUrl()

### setJdbcUrl

    public void setJdbcUrl(java.lang.String jdbcUrl)

### getProperties

    public java.util.Properties getProperties()

### setProperties

    public void setProperties(java.util.Properties properties)

### getUser

    public java.lang.String getUser()

### setUser

    public void setUser(java.lang.String user)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getCheckoutTimeout

    public int getCheckoutTimeout()

### setCheckoutTimeout

    public void setCheckoutTimeout(int checkoutTimeout)

### getAcquireIncrement

    public int getAcquireIncrement()

### setAcquireIncrement

    public void setAcquireIncrement(int acquireIncrement)

### getAcquireRetryAttempts

    public int getAcquireRetryAttempts()

### setAcquireRetryAttempts

    public void setAcquireRetryAttempts(int acquireRetryAttempts)

### getAcquireRetryDelay

    public int getAcquireRetryDelay()

### setAcquireRetryDelay

    public void setAcquireRetryDelay(int acquireRetryDelay)

### isAutoCommitOnClose

    public boolean isAutoCommitOnClose()

### setAutoCommitOnClose

    public void setAutoCommitOnClose(boolean autoCommitOnClose)

### getConnectionTesterClassName

    public java.lang.String getConnectionTesterClassName()

### setConnectionTesterClassName

    public void setConnectionTesterClassName(java.lang.String connectionTesterClassName)
                                      throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### getAutomaticTestTable

    public java.lang.String getAutomaticTestTable()

### setAutomaticTestTable

    public void setAutomaticTestTable(java.lang.String automaticTestTable)

### isForceIgnoreUnresolvedTransactions

    public boolean isForceIgnoreUnresolvedTransactions()

### setForceIgnoreUnresolvedTransactions

    public void setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)

### getIdleConnectionTestPeriod

    public int getIdleConnectionTestPeriod()

### setIdleConnectionTestPeriod

    public void setIdleConnectionTestPeriod(int idleConnectionTestPeriod)

### getInitialPoolSize

    public int getInitialPoolSize()

### setInitialPoolSize

    public void setInitialPoolSize(int initialPoolSize)

### getMaxIdleTime

    public int getMaxIdleTime()

### setMaxIdleTime

    public void setMaxIdleTime(int maxIdleTime)

### getMaxPoolSize

    public int getMaxPoolSize()

### setMaxPoolSize

    public void setMaxPoolSize(int maxPoolSize)

### getMaxStatements

    public int getMaxStatements()

### setMaxStatements

    public void setMaxStatements(int maxStatements)

### getMaxStatementsPerConnection

    public int getMaxStatementsPerConnection()

### setMaxStatementsPerConnection

    public void setMaxStatementsPerConnection(int maxStatementsPerConnection)

### getMinPoolSize

    public int getMinPoolSize()

### setMinPoolSize

    public void setMinPoolSize(int minPoolSize)

### getOverrideDefaultUser

    public java.lang.String getOverrideDefaultUser()

### setOverrideDefaultUser

    public void setOverrideDefaultUser(java.lang.String overrideDefaultUser)

### getOverrideDefaultPassword

    public java.lang.String getOverrideDefaultPassword()

### setOverrideDefaultPassword

    public void setOverrideDefaultPassword(java.lang.String overrideDefaultPassword)

### getPropertyCycle

    public int getPropertyCycle()

### setPropertyCycle

    public void setPropertyCycle(int propertyCycle)

### isBreakAfterAcquireFailure

    public boolean isBreakAfterAcquireFailure()

### setBreakAfterAcquireFailure

    public void setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)

### isTestConnectionOnCheckout

    public boolean isTestConnectionOnCheckout()

### setTestConnectionOnCheckout

    public void setTestConnectionOnCheckout(boolean testConnectionOnCheckout)

### isTestConnectionOnCheckin

    public boolean isTestConnectionOnCheckin()

### setTestConnectionOnCheckin

    public void setTestConnectionOnCheckin(boolean testConnectionOnCheckin)

### isUsesTraditionalReflectiveProxies

    public boolean isUsesTraditionalReflectiveProxies()

### setUsesTraditionalReflectiveProxies

    public void setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)

### getPreferredTestQuery

    public java.lang.String getPreferredTestQuery()

### setPreferredTestQuery

    public void setPreferredTestQuery(java.lang.String preferredTestQuery)

### getMaxAdministrativeTaskTime

    public int getMaxAdministrativeTaskTime()

### setMaxAdministrativeTaskTime

    public void setMaxAdministrativeTaskTime(int maxAdministrativeTaskTime)

### getMaxIdleTimeExcessConnections

    public int getMaxIdleTimeExcessConnections()

### setMaxIdleTimeExcessConnections

    public void setMaxIdleTimeExcessConnections(int maxIdleTimeExcessConnections)

### getMaxConnectionAge

    public int getMaxConnectionAge()

### setMaxConnectionAge

    public void setMaxConnectionAge(int maxConnectionAge)

### getConnectionCustomizerClassName

    public java.lang.String getConnectionCustomizerClassName()

### setConnectionCustomizerClassName

    public void setConnectionCustomizerClassName(java.lang.String connectionCustomizerClassName)

### getUnreturnedConnectionTimeout

    public int getUnreturnedConnectionTimeout()

### setUnreturnedConnectionTimeout

    public void setUnreturnedConnectionTimeout(int unreturnedConnectionTimeout)

### getUserOverridesAsString

    public java.lang.String getUserOverridesAsString()

### setUserOverridesAsString

    public void setUserOverridesAsString(java.lang.String uoas)
                                  throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### getUserOverrides

    public java.util.Map getUserOverrides()

### isDebugUnreturnedConnectionStackTraces

    public boolean isDebugUnreturnedConnectionStackTraces()

### setDebugUnreturnedConnectionStackTraces

    public void setDebugUnreturnedConnectionStackTraces(boolean debugUnreturnedConnectionStackTraces)

### getStatementCacheNumDeferredCloseThreads

    public int getStatementCacheNumDeferredCloseThreads()

### setStatementCacheNumDeferredCloseThreads

    public void setStatementCacheNumDeferredCloseThreads(int statementCacheNumDeferredCloseThreads)

### getFactoryClassLocation

    public java.lang.String getFactoryClassLocation()

  Overrides:
    `getFactoryClassLocation` in class `PoolBackedDataSourceBase`

### setFactoryClassLocation

    public void setFactoryClassLocation(java.lang.String factoryClassLocation)

  Overrides:
    `setFactoryClassLocation` in class `PoolBackedDataSourceBase`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PoolBackedDataSourceBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD